Package javax.help.tagext

# Class SearchTOCItemTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
javax.help.tagext.SearchTOCItemTag

All Implemented Interfaces:
  `Serializable`, `EventListener`, `SearchListener`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class SearchTOCItemTag extends javax.servlet.jsp.tagext.BodyTagSupport implements SearchListener
The JSP tag extra info class for an SearchTOCItem

See Also:
  - `SearchTOCItem`
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`SearchTOCItemTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doAfterBody()`
`int`
`doStartTag()`
`void`
`itemsFound(SearchEvent e)`
Tells the listener that matching SearchItems have been found.
`void`
`searchFinished(SearchEvent e)`
Tells the listener that the search has finished
`void`
`searchStarted(SearchEvent e)`
Tells the listener that the search has started.
`void`
`setHelpBroker(HelpBroker hb)`
`void`
`setQuery(String query)`
`void`
`setSearchView(SearchView view)`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### SearchTOCItemTag

public SearchTOCItemTag()

## Method Details

### setSearchView

public void setSearchView(SearchView view)

### setHelpBroker

public void setHelpBroker(HelpBroker hb)

### setQuery

public void setQuery(String query)

### doStartTag

public int doStartTag()

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### doAfterBody

public int doAfterBody() throws javax.servlet.jsp.JspException

Specified by:
  `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
Overrides:
  `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`

### itemsFound

public void itemsFound(SearchEvent e)
Description copied from interface: `SearchListener`
Tells the listener that matching SearchItems have been found.

Specified by:
  `itemsFound` in interface `SearchListener`

### searchStarted

public void searchStarted(SearchEvent e)
Description copied from interface: `SearchListener`
Tells the listener that the search has started.

Specified by:
  `searchStarted` in interface `SearchListener`

### searchFinished

public void searchFinished(SearchEvent e)
Description copied from interface: `SearchListener`
Tells the listener that the search has finished

Specified by:
  `searchFinished` in interface `SearchListener`